@import url('https://fonts.googleapis.com/css2?family=Galindo&display=swap');
body {
    margin: 0;
    font-family: 'Galindo', cursive;
    font-style: normal;
    font-weight: normal;
    background-color: lightblue;
}

#red {
    color: red;
}

#orange {
    color: orange;
}

.title {
    font-size: 54px;
}

main {
    text-align: center;
}

div.data {
    margin-top: 10px;
    display: grid;
    grid-template-columns: 1fr;
    grid-row-gap: 10px;
}

/* CSS codes and styling are all referenced from Figma 
   Authors: Figma Team (team info at: https://www.figma.com/developers)
   URL: https://www.figma.com/file/xBaFy4cDQfDUgunYFciufl/One-Trip-Wireframe?node-id=0%3A1 */
   
@media (max-width: 425px) {
    #map {
        margin-top: 15px;
        text-align: center;
    }
    iframe {
        width: 320px;
        height: 320px;
        border: none;
    }
    #nearByStores {
        margin-top: 15px;
    }
    #inputBox {
        width: 59%;
        height: 50px;
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);
        border-radius: 10px;
        padding-left: 10px;
        font-size: 5vw;
    }
    #searchButton {
        background: #97FFC1;
        color: white;
        width: 28%;
        height: 50px;
        font-size: 5vw;
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);
        border-radius: 10px;
    }
    button.stores {
        width: 90%;
        height: 60px;
        background-color: white;
        border: 3px solid black;
        border-radius: 16px;
        color: #F85C2A;
        padding-top: 13px;
    }
    .data {
        font-family: Ex0;
    }
    h4 {
        font-size: 15px;
        font-style: normal;
        font-weight: bold;
        margin-top: -8px;
    }
    h5#waitTime {
        font-size: 15px;
        font-family: Exo;
        font-style: normal;
        font-weight: bold;
        color: red
    }
    h5#goBackToMap {
        margin-top: 20px;
    }
    #easteregg {
        position: absolute;
        top: 30%;
        left: 15%;
        width: 70%;
        height: 40%;
        z-index: 1;
    }
}

@media (min-width: 426px) and (max-width: 1023px) {
    #map {
        margin-top: 15px;
        text-align: center;
    }
    iframe {
        width: 426px;
        height: 426px;
        border: none;
    }
    #nearByStores {
        margin-top: 30px;
        font-size: 7vw;
    }
    #inputBox {
        width: 59vw;
        height: 70px;
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);
        border-radius: 10px;
        padding-left: 10px;
        margin-top: 30px;
        margin-bottom: 30px;
        font-size: 5vw;
    }
    #searchButton {
        background: #97FFC1;
        width: 20vw;
        height: 70px;
        font-size: 4vw;
        color: white;
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);
        border-radius: 10px;
    }
    button.stores {
        width: 80%;
        height: 120px;
        background-color: white;
        border: 3px solid black;
        border-radius: 16px;
        color: #F85C2A;
        padding-top: 7px;
    }
    .data {
        font-family: Ex0;
    }
    h4 {
        font-size: 4.5vw;
        font-style: normal;
        font-weight: bold;
    }
    h5#waitTime {
        font-size: 5vw;
        font-family: Exo;
        font-style: normal;
        font-weight: bold;
        color: red;
    }
    h5#goBackToMap {
        margin: 20px;
        font-size: 4vw;
    }
    #easteregg {
        position: absolute;
        width: 50%;
        height: 50%;
        top: 25%;
        left: 25%;
        z-index: 1;
    }
}

@media (min-width: 1024px) {
    #map {
        margin-top: 15px;
        text-align: center;
    }
    iframe {
        width: 600px;
        height: 400px;
        border: none;
    }
    #nearByStores {
        margin-top: 30px;
        font-size: 80px;
    }
    #inputBox {
        width: 500px;
        height: 60px;
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);
        border-radius: 10px;
        padding-left: 20px;
        margin-top: 35px;
        margin-bottom: 30px;
        font-size: 30px;
    }
    #searchButton {
        background: #97FFC1;
        width: 200px;
        height: 60px;
        font-size: 30px;
        color: white;
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);
        border-radius: 10px;
    }
    button.stores {
        width: 700px;
        height: 80px;
        background-color: white;
        border: 3px solid black;
        border-radius: 16px;
        color: #F85C2A;
        padding-top: 7px;
    }
    .data {
        font-family: Ex0;
    }
    h4 {
        font-size: 20px;
        font-style: normal;
        font-weight: bold;
    }
    h5#waitTime {
        font-size: 25px;
        font-family: Exo;
        font-style: normal;
        font-weight: bold;
        color: red;
    }
    h5#goBackToMap {
        margin: 20px;
        font-size: 25px;
    }
    #easteregg {
        position: absolute;
        width: 50%;
        height: 50%;
        top: 25%;
        left: 25%;
        z-index: 1;
    }
}